import { EventEmitter, ElementRef } from '@angular/core';
import { IHacDropdownOption, IHacDropdownOptionGroup } from "../hac.dropdown.model";
import { HacDropdownFilterPipe } from "../pipes";
export declare class HacDropdown {
    private elementRef;
    private dropdownFilter;
    optionGroups: IHacDropdownOptionGroup[];
    placeholder: string;
    allowEmpty: boolean;
    filtrable: boolean;
    columns: number;
    selectedChange: EventEmitter<{}>;
    private _selected;
    selected: string | number;
    collapsed: boolean;
    filter: string;
    private windowHeight;
    constructor(elementRef: ElementRef, dropdownFilter: HacDropdownFilterPipe);
    onClick(event: any): void;
    onResize(event: any): void;
    getSelected(): IHacDropdownOption;
    select(key: number | string): void;
    hasGroups(): boolean;
    openDropdown(e?: any): void;
    closeDropdown(e?: any): void;
    shouldApplyFilter(): boolean;
    handleKey(e: KeyboardEvent): void;
    calcDropdownWidth(): string;
    calcDropdownHeight(): string;
    private syncWindowHeight();
    private getPos(el);
    private blurFilter();
    private selectFirstMatchingOption();
}
